package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.enums.YesOrNoEnum;
import com.ym.mec.common.entity.BaseEntity;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(music_group_news):
 */
public class MusicGroupNews extends BaseEntity {

	/**  */
	private Long id;
	
	/** 标题 */
	private String title;
	
	/** 状态（1-可见 0-不可见） */
	private YesOrNoEnum status = YesOrNoEnum.YES;
	
	/** 链接地址 */
	private String linkUrl;
	
	/** 顺序号 */
	private Integer order = 0;
	
	/** 乐团编号 */
	private String musicGroupId;
	
	/** 作者 */
	private String author;
	
	/** 添加人 */
	private Integer operatorId;

	/** 添加人 */
	private String operatorName;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	public String getOperatorName() {
		return operatorName;
	}

	public void setOperatorName(String operatorName) {
		this.operatorName = operatorName;
	}

	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setTitle(String title){
		this.title = title;
	}
	
	public String getTitle(){
		return this.title;
	}

	public YesOrNoEnum getStatus() {
		return status;
	}

	public void setStatus(YesOrNoEnum status) {
		this.status = status;
	}

	public void setLinkUrl(String linkUrl){
		this.linkUrl = linkUrl;
	}
	
	public String getLinkUrl(){
		return this.linkUrl;
	}
			
	public void setOrder(Integer order){
		this.order = order;
	}
	
	public Integer getOrder(){
		return this.order;
	}
			
	public void setMusicGroupId(String musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public String getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setAuthor(String author){
		this.author = author;
	}
	
	public String getAuthor(){
		return this.author;
	}

	public Integer getOperatorId() {
		return operatorId;
	}

	public void setOperatorId(Integer operatorId) {
		this.operatorId = operatorId;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
